Name:           ocaml-findlib
Version:        1.9.1
Release:        1
Summary:        OCaml library manager
License:        BSD
URL:            http://projects.camlcity.org/projects/findlib.html
Source0:        http://download.camlcity.org/download/findlib-%{version}.tar.gz

BuildRequires:  gawk m4 ncurses-devel ocaml >= 4.02.0 ocaml-camlp4-devel ocaml-compiler-libs
BuildRequires:  ocaml-labltk-devel ocaml-ocamlbuild-devel ocaml-ocamldoc

Requires:       ocaml

%description
Findlib is a library manager for Objective Caml. It provides a convention how to store libraries,
and a file format ("META") to describe the properties of libraries. There is also a tool (ocamlfind)
for interpreting the META files, so that it is very easy to use libraries in programs and scripts.

%package        devel
Summary:        Development documents for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The package provides libraries and some other development documents for developing applications
that use %{name}.

%package        help
Summary:        Help documents for %{name}

%description    help
The package provides man pages and some other help information for %{name}.

%prep
%autosetup -p1 -n findlib-%{version}

%build
ocamlc -version
ocamlc -where
(cd tools/extract_args && make)
tools/extract_args/extract_args -o src/findlib/ocaml_args.ml ocamlc ocamlcp ocamlmktop ocamlopt ocamldep ocamldoc ||:
./configure -config %{_sysconfdir}/ocamlfind.conf  -bindir %{_bindir} -mandir %{_mandir}\
            -sitelib `ocamlc -where` -with-toolbox
make all
make opt
rm -f doc/guide-html/TIMESTAMP

%install
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_mandir}/man{1,5}
make install  prefix=$RPM_BUILD_ROOT  OCAMLFIND_BIN=%{_bindir}  OCAMLFIND_MAN=%{_mandir}

%files
%doc LICENSE doc/README
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/*
%{_libdir}/ocaml/*/META
%{_libdir}/ocaml/topfind
%{_libdir}/ocaml/findlib
%exclude %{_libdir}/ocaml/findlib/*.{a,cmxa,mli}
%exclude %{_libdir}/ocaml/findlib/Makefile.config
%exclude %{_libdir}/ocaml/findlib/make_wizard*

%files devel
%{_libdir}/ocaml/findlib/*.{a,cmxa,mli}
%{_libdir}/ocaml/findlib/Makefile.config

%files help
%doc doc/guide-html
%{_mandir}/man{1,5}/*

%changelog
* Thu Jan 20 2022 yangping<yangping69@huawei.com> - 1.9.1-1
- Update to 1.9.1

* Wed Feb 26 2020 zhouyihang<zhouyihang1@huawei.com> - 1.8.0-5
- Package init
